/2026-01/retail-media/accounts/{account-id}/creatives/search
curl --request POST \
--url https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/creatives/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/creatives/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/creatives/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"creativeFormatV2Type": "Unknown",
"environments": [
{
"environments": [
"Web"
],
"pageType": "Unknown"
}
],
"formatId": 123,
"name": "<string>",
"retailerId": 123,
"status": "Ready",
"templateId": 123,
"templateName": "<string>",
"templateVariableValues": [
{
"id": "<string>",
"choiceVariableValue": {
"chosenOptions": [
"<string>"
]
},
"colorVariableValue": {
"color": "<string>"
},
"filesVariableValue": {
"assetIds": [
"<string>"
]
},
"hyperlinkVariableValue": {
"url": "<string>"
},
"textVariableValue": {
"text": "<string>"
},
"videoVariableValue": {
"duration": "<string>",
"height": 123,
"url": "<string>",
"width": 123
}
}
],
"associatedLineItemIds": [
"<string>"
],
"brandId": 123,
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2026-01/retail-media/accounts/{account-id}/creatives/search
Get account creatives
POST
/
2026-01
/
retail-media
/
accounts
/
{account-id}
/
creatives
/
search
/2026-01/retail-media/accounts/{account-id}/creatives/search
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://api.criteo.com/oauth2
- Token URL
- https://api.criteo.com/oauth2/token
FlowClient Credentials
- Token URL
- https://api.criteo.com/oauth2/token
Scopes1
RetailMedia_Campaign_Read
Grants Read access to the capabilities from the Campaign domain, for RetailMedia applications
Path Parameters
External account id to retrieve creatives for
Query Parameters
Creatives to filter by
Response
200 - application/json
Creatives found
Was this page helpful?